import { SignalIndicator } from '../WebSocket/typedef';
import { SignalListener } from './typedef';
export declare class SignalListenersService<Res, Err> {
    #private;
    constructor(debug?: boolean);
    add: (indicator: SignalIndicator, listener: SignalListener<Res, Err>) => () => void;
    remove: (indicator: SignalIndicator, id: string) => void;
    ping: (indicator: SignalIndicator, data: Res, error: Err | null) => void;
}
